event-types
Update Event Type
Update an event type’s label.
Scopes: events:write
PATCH
/
v1
/
event-types
/
{id}
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.event_types.update(
'00000000-0000-4000-8000-000000000000',
label='string',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.eventTypes.update(
"00000000-0000-4000-8000-000000000000",
{
"label": "string"
},
);
console.log(response);
curl --request PATCH \
--url https://api.ourpay.dev/v1/event-types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"label_property_selector": "<string>"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({label: '<string>', label_property_selector: '<string>'})
};
fetch('https://api.ourpay.dev/v1/event-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"label": "<string>",
"organization_id": "<string>",
"label_property_selector": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Path Parameters
The event type ID.
Body
application/json
Response
Successful Response
Creation timestamp of the object.
Last modification timestamp of the object.
The ID of the object.
The name of the event type.
The label for the event type.
The ID of the organization owning the event type.
Property path to extract dynamic label from event metadata.
⌘I
Python
from ourpay.v2026_10 import OurPay
ourpay = OurPay("ourpay_oat_xxx")
response = ourpay.event_types.update(
'00000000-0000-4000-8000-000000000000',
label='string',
)
print(response)import { createOurPay } from "@ourpay-dev/sdk/2026-10";
const ourpay = createOurPay({
accessToken: "ourpay_oat_xxx",
});
const response = await ourpay.eventTypes.update(
"00000000-0000-4000-8000-000000000000",
{
"label": "string"
},
);
console.log(response);
